# Uses of Class
org.apache.commons.math3.fitting.SimpleCurveFitter

Packages that use SimpleCurveFitter
Package
Description
org.apache.commons.math3.fitting
Classes to perform curve fitting.

## Uses of SimpleCurveFitter in org.apache.commons.math3.fitting

Methods in org.apache.commons.math3.fitting that return SimpleCurveFitter
Modifier and Type
Method
Description
`static SimpleCurveFitter`
SimpleCurveFitter.`create(ParametricUnivariateFunction f, double[] start)`
Creates a curve fitter.
`SimpleCurveFitter`
SimpleCurveFitter.`withMaxIterations(int newMaxIter)`
Configure the maximum number of iterations.
`SimpleCurveFitter`
SimpleCurveFitter.`withStartPoint(double[] newStart)`
Configure the start point (initial guess).